/*
 *  cpptest.cc
 *
 *  Simple C++ test program that uses the STL.
 *
 *  Author:
 *   Rod Barman, rodb@cs.ubc.ca
 *
 *  This code has no copyright and may freely be used in whatever 
 *  manner you see fit.
 *
 *  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY 
 *  OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT    
 *  LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR    
 *  FITNESS FOR A PARTICULAR PURPOSE.                              
 */
#include <iostream.h>
#include <string.h>
#include <assert.h>
#include <vector.h>
#include <algo.h>

int main()
{
   char* s = "C++ is better C";

   int len = strlen(s);

   cout << "Testing STL\n";
   
   vector<char> vector1(&s[0], &s[len]);

   vector<char>::iterator
      where = find(vector1.begin(), vector1.end(), 'e');

   assert(*where == 'e' && *(where+1) == 't');
}
